module CFunctions where 
import Foreign
import Foreign.C
import CTypes

foreign import ccall clock
    :: IO CClock

foreign import ccall difftime
    :: CTime -> CTime -> IO CDouble

foreign import ccall mktime
    :: Ptr Tm -> IO CTime

foreign import ccall time
    :: Ptr CTime -> IO CTime

foreign import ccall asctime
    :: Ptr Tm -> IO CString

foreign import ccall ctime
    :: Ptr CTime -> IO CString

foreign import ccall gmtime
    :: Ptr CTime -> IO (Ptr Tm)

foreign import ccall localtime
    :: Ptr CTime -> IO (Ptr Tm)

foreign import ccall strftime
    :: CString -> CSize -> CString -> Ptr Tm -> IO CSize

