#include <time.h>

int size_of_tm (void)
{
    return sizeof (struct tm);
}

void hs2c_tm (struct tm *p,
    int p1, int p2, int p3,
    int p4, int p5, int p6,
    int p7, int p8, int p9)
{
    p->tm_sec = p1;
    p->tm_min = p2;
    p->tm_hour = p3;
    p->tm_mday = p4;
    p->tm_mon = p5;
    p->tm_year = p6;
    p->tm_wday = p7;
    p->tm_yday = p8;
    p->tm_isdst = p9;
}

void c2hs_tm (struct tm *p,
    int *p1, int *p2, int *p3,
    int *p4, int *p5, int *p6,
    int *p7, int *p8, int *p9)
{
    *p1 = p->tm_sec;
    *p2 = p->tm_min;
    *p3 = p->tm_hour;
    *p4 = p->tm_mday;
    *p5 = p->tm_mon;
    *p6 = p->tm_year;
    *p7 = p->tm_wday;
    *p8 = p->tm_yday;
    *p9 = p->tm_isdst;
}

#include <sys/time.h>

int size_of_timeval (void)
{
    return sizeof (struct timeval);
}

void hs2c_timeval (struct timeval *p, long p1, long p2)
{
    p->tv_sec = p1;
    p->tv_usec = p2;
}

void c2hs_timeval (struct timeval *p, long *p1, long *p2)
{
    *p1 = p->tv_sec;
    *p2 = p->tv_usec;
}
